Docs
Webhooks

Update a webhook

PATCH/webhooks/{id}
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

events?array<string>

Event types to subscribe to

isActive?boolean

Enable or disable webhook

url?string

Webhook URL to send events to

Response Body

application/json

curl -X PATCH "https://example.com/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "createdAt": "2019-08-24T14:15:22Z",    "events": [      "string"    ],    "id": "string",    "isActive": true,    "recentDeliveries": [      {}    ],    "secret": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "url": "http://example.com"  },  "success": true}